获取 Studio 项目

返回指定 Studio 项目的信息。与 GET /v1/studio 相比,此端点返回更详细的项目信息。

路径参数

project_idstring必需

要使用的项目 ID。可使用 列出项目 端点列出所有可用项目。

请求头

xi-api-keystring可选

查询参数

share_idstring or null可选

项目的共享 ID

响应

成功响应

project_idstring

项目的 ID。

namestring

项目名称。

create_date_unixinteger

项目创建日期。

created_by_user_idstring or null

创建项目的用户 ID。

default_title_voice_ref_idstring

默认标题项目音色引用 ID。

default_paragraph_voice_ref_idstring

默认段落项目音色引用 ID。

default_model_idstring

默认模型 ID。

can_be_downloadedboolean

项目是否可下载。

volume_normalizationboolean

项目是否使用音量规范化。

stateenum

项目状态。

允许的值:
access_levelenum

项目的访问级别。

允许的值:
quality_presetenum

项目质量预设级别。

允许的值:
chapterslist of objects

项目章节及其元数据列表。

pronunciation_dictionary_versionslist of objects

项目发音词典版本及其元数据列表。

pronunciation_dictionary_locatorslist of objects

发音词典定位器列表。

apply_text_normalizationenum

是否对项目应用文本规范化。

允许的值:
assetslist of objects

已上传资产列表,例如视频、音频。

voiceslist of objects

已配置的项目音色列表。

quality_check_onbooleanDeprecated

是否为此项目启用质量检查。

quality_check_on_when_bulk_convertbooleanDeprecated

批量转换时是否为项目启用质量检查。

default_title_voice_idstring只读Deprecated

默认标题音色 ID。

default_paragraph_voice_idstring只读Deprecated

默认段落音色 ID。

last_conversion_date_unixinteger or null可选

项目上次转换日期。

titlestring or null可选

项目标题。

authorstring or null可选

项目作者。

descriptionstring or null可选

项目描述。

genreslist of strings or null可选

项目流派列表。

cover_image_urlstring or null可选

项目封面图片 URL。

target_audienceenum or null可选

项目的目标受众。

允许的值:
languagestring or null可选

项目语言的双字母语言代码(ISO 639-1)。

content_typestring or null可选

项目的内容类型,例如“Novel”或“Short Story”

original_publication_datestring or null可选

项目的原始发布日期。

mature_contentboolean or null可选

项目是否包含成人内容。

isbn_numberstring or null可选

项目的 ISBN 编号。

fictionenum or null可选

项目是否为虚构内容。

允许的值:
creation_metaobject or null可选

项目的创建元数据。

source_typeenum or null可选

项目的源类型。

chapters_enabledboolean or null可选默认为 true

是否为项目启用章节。

captions_enabledboolean or null可选默认为 true

是否为项目启用字幕。

caption_styleobject or null可选

应用于所有字幕的全局样式

caption_style_template_overridesmap from strings to objects or null可选

已对提供模板进行的样式更改

public_share_idstring or null可选

项目公开分享 ID。

aspect_ratioenum or null可选

项目的宽高比。

允许的值:
agent_settingsobject or null可选

项目的智能体相关设置

experimentalmap from strings to any可选

项目的实验性功能。

base_voiceslist of objects or null可选

项目使用的音色列表。

publishing_readobject or null可选

书籍已发布时的 ElevenReader 数据。

错误

422
Unprocessable Entity Error